package core

import "github.com/grufwub/go-errors"

// Core ErrorCodes
var (
	ConnWriteErr       = errors.NewBaseError(connWriteErrStr)
	ConnReadErr        = errors.NewBaseError(connReadErrStr)
	ConnCloseErr       = errors.NewBaseError(connCloseErrStr)
	ListenerResolveErr = errors.NewBaseError(listenerResolveErrStr)
	ListenerBeginErr   = errors.NewBaseError(listenerBeginErrStr)
	ListenerAcceptErr  = errors.NewBaseError(listenerAcceptErrStr)
	InvalidIPErr       = errors.NewBaseError(invalidIPErrStr)
	InvalidPortErr     = errors.NewBaseError(invalidPortErrStr)
	MutexUpgradeErr    = errors.NewBaseError(mutexUpgradeErrStr)
	MutexDowngradeErr  = errors.NewBaseError(mutexDowngradeErrStr)
	FileOpenErr        = errors.NewBaseError(fileOpenErrStr)
	FileStatErr        = errors.NewBaseError(fileStatErrStr)
	FileReadErr        = errors.NewBaseError(fileReadErrStr)
	FileTypeErr        = errors.NewBaseError(fileTypeErrStr)
	DirectoryReadErr   = errors.NewBaseError(directoryReadErrStr)
	RestrictedPathErr  = errors.NewBaseError(restrictedPathErrStr)
	InvalidRequestErr  = errors.NewBaseError(invalidRequestErrStr)
	CGIStartErr        = errors.NewBaseError(cgiStartErrStr)
	CGIExitCodeErr     = errors.NewBaseError(cgiExitCodeErrStr)
)
